summaryrefslogtreecommitdiffstats
path: root/jjb/vpp
diff options
context:
space:
mode:
authorpmikus <pmikus@cisco.com>2016-04-21 15:47:22 +0200
committerAndrew Grimberg <agrimberg@linuxfoundation.org>2016-04-26 13:33:41 +0000
commit2ea6567acf97ddd46e3ac91b198c6b8bd865ab75 (patch)
tree639f720d6c9ff2b6f655f5eb4a4227d7f08fd644 /jjb/vpp
parent97a44eee254fae4041cadeb677bf20f5ca41998e (diff)
Change performance job name
- JIRA: CIMANAGE-4 - Change vpp-verify-performance job name to naming convention Change-Id: If873f29b3bb82de2bdf2e84614d132867c8d06c8 Signed-off-by: pmikus <pmikus@cisco.com>
Diffstat (limited to 'jjb/vpp')
-rw-r--r--jjb/vpp/include-raw-vpp-csit-verify-perf.sh (renamed from jjb/vpp/include-raw-vpp-verify-performance.sh)46
-rw-r--r--jjb/vpp/vpp.yaml7
2 files changed, 27 insertions, 26 deletions
diff --git a/jjb/vpp/include-raw-vpp-verify-performance.sh b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh
index 8a6cbeb30..f24692de9 100644
--- a/jjb/vpp/include-raw-vpp-verify-performance.sh
+++ b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh
@@ -1,23 +1,23 @@
-#!/bin/bash
-set -xeu -o pipefail
-
-export TEST_TAG="PERFTEST_${TYPE^^}"
-
-# Clone csit and start tests
-git clone --depth 1 https://gerrit.fd.io/r/csit --branch csit-verified
-
-cp build-root/*.deb csit/
-cd csit
-# execute csit bootstrap script if it exists
-if [ ! -e bootstrap-verify-perf.sh ]
-then
- echo 'ERROR: No bootstrap-verify-perf.sh found'
- exit 1
-fi
-
-# make sure that bootstrap-verify-perf.sh is executable
-chmod +x bootstrap-verify-perf.sh
-# run the script
-./bootstrap-verify-perf.sh *.deb
-
-# vim: ts=4 ts=4 sts=4 et :
+#!/bin/bash
+set -xeu -o pipefail
+
+export TEST_TAG="PERFTEST_${TYPE^^}"
+
+# Clone csit and start tests
+git clone --depth 1 https://gerrit.fd.io/r/csit --branch csit-verified
+
+cp build-root/*.deb csit/
+cd csit
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-verify-perf.sh ]
+then
+ echo 'ERROR: No bootstrap-verify-perf.sh found'
+ exit 1
+fi
+
+# make sure that bootstrap-verify-perf.sh is executable
+chmod +x bootstrap-verify-perf.sh
+# run the script
+./bootstrap-verify-perf.sh *.deb
+
+# vim: ts=4 ts=4 sts=4 et : \ No newline at end of file
diff --git a/jjb/vpp/vpp.yaml b/jjb/vpp/vpp.yaml
index e5934562e..bfd802539 100644
--- a/jjb/vpp/vpp.yaml
+++ b/jjb/vpp/vpp.yaml
@@ -18,11 +18,12 @@
name: vpp-misc
jobs:
- 'vpp-csit-verify-virl'
- - 'vpp-verify-performance-{type}'
+ - 'vpp-csit-verify-perf-{type}'
project: 'vpp'
branch: 'master'
os: ubuntu1404
type:
+ - all
- short
- long
@@ -172,7 +173,7 @@
output-path: 'csit'
- job-template:
- name: 'vpp-verify-performance-{type}'
+ name: 'vpp-csit-verify-perf-{type}'
project-type: freestyle
node: 'verify-{os}'
@@ -215,7 +216,7 @@
- shell:
!include-raw-escape include-raw-vpp-build.sh
- shell:
- !include-raw-escape include-raw-vpp-verify-performance.sh
+ !include-raw-escape include-raw-vpp-csit-verify-perf.sh
publishers:
- archive-artifacts: